# Miscellaneous Documentation

## Exceptions

exception rtree.exceptions.RTreeError

  RTree exception, indicates a RTree-related error.

## Finder module

Locate libspatialindex shared library and header files.

rtree.finder.get_include()

  Return the directory that contains the spatialindex *.h files.

  Returns:

    Path to include directory or “” if not found.

  Return type:

    str

rtree.finder.load()

  Load the libspatialindex shared library.

  Returns:

    Loaded shared library

  Return type:

    CDLL